Package org.drinkless.tdlib

# Class TdApi.GetStickers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Stickers>
org.drinkless.tdlib.TdApi.GetStickers

Enclosing class:
  `TdApi`

public static class TdApi.GetStickers extends TdApi.Function<TdApi.Stickers>
Returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords. If the query is non-empty, then favorite, recently used or trending stickers may also be returned.

Returns `Stickers`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier for which to return stickers.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of stickers to be returned.
  `String`
  `query`
  Search query; a space-separated list of emojis or a keyword prefix.
  `TdApi.StickerType`
  `stickerType`
  Type of the stickers to return.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetStickers()`
  Default constructor for a function, which returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords.
  `GetStickers(TdApi.StickerType stickerType, String query, int limit, long chatId)`
  Creates a function, which returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stickerType

    public TdApi.StickerType stickerType
    Type of the stickers to return.

  - ### query

    public String query
    Search query; a space-separated list of emojis or a keyword prefix. If empty, returns all known installed stickers.

  - ### limit

    public int limit
    The maximum number of stickers to be returned.

  - ### chatId

    public long chatId
    Chat identifier for which to return stickers. Available custom emoji stickers may be different for different chats.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetStickers

    public GetStickers()
    Default constructor for a function, which returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords. If the query is non-empty, then favorite, recently used or trending stickers may also be returned.

    Returns `Stickers`

  - ### GetStickers

    public GetStickers(TdApi.StickerType stickerType, String query, int limit, long chatId)
    Creates a function, which returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords. If the query is non-empty, then favorite, recently used or trending stickers may also be returned.

    Returns `Stickers`

    Parameters:
      `stickerType` - Type of the stickers to return.
      `query` - Search query; a space-separated list of emojis or a keyword prefix. If empty, returns all known installed stickers.
      `limit` - The maximum number of stickers to be returned.
      `chatId` - Chat identifier for which to return stickers. Available custom emoji stickers may be different for different chats.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Stickers>`
    Returns:
      this.CONSTRUCTOR